import { useState } from "react";
import Player, { IVideo } from "../../components/Player";
import "./index.less";
import { ResizeBox, Space, Result, Button } from "@arco-design/web-react";
import { Icon } from "@ricons/utils";

function CourseDetail() {
  const [toc, setToc] = useState([
    {
      title: "准备",
      level: 1,
    },
    {
      title: "学习 html, css, javascript 前的准备",
      level: 2,
      time: "3:23",
      get: false,
      video: {
        fileID: "243791579995468466",
        appID: "1500018521",
      },
    },
    {
      title: "css 样式的写法",
      level: 2,
      time: "4:13",
      get: false,
      video: {
        fileID: "243791580097740418",
        appID: "1500018521",
      },
    },
    {
      title: "使用CSS",
      level: 1,
    },
    {
      title: "使用 css：行内样式",
      level: 2,
      time: "5:55",
      get: false,
    },
    {
      title: "使用 css：行内样式2",
      level: 2,
      time: "6:55",
      get: false,
    },
    {
      title: "使用CSS",
      level: 1,
    },
    {
      title: "使用 css：行内样式",
      level: 2,
      time: "5:55",
      get: false,
    },
    {
      title: "使用 css：行内样式2",
      level: 2,
      time: "6:55",
      get: false,
    },
    {
      title: "使用CSS",
      level: 1,
    },
    {
      title: "使用 css：行内样式",
      level: 2,
      time: "5:55",
      get: false,
    },
    {
      title: "使用 css：行内样式2",
      level: 2,
      time: "6:55",
      get: false,
    },
    {
      title: "使用CSS",
      level: 1,
    },
    {
      title: "使用 css：行内样式",
      level: 2,
      time: "5:55",
      get: false,
    },
    {
      title: "使用 css：行内样式2",
      level: 2,
      time: "6:55",
      get: false,
    },
    {
      title: "使用CSS",
      level: 1,
    },
    {
      title: "使用 css：行内样式",
      level: 2,
      time: "5:55",
      get: false,
    },
    {
      title: "使用 css：行内样式2",
      level: 2,
      time: "6:55",
      get: false,
    },
    {
      title: "使用CSS",
      level: 1,
    },
    {
      title: "使用 css：行内样式",
      level: 2,
      time: "5:55",
      get: false,
    },
    {
      title: "使用 css：行内样式2",
      level: 2,
      time: "6:55",
      get: false,
    },
    {
      title: "使用CSS",
      level: 1,
    },
    {
      title: "使用 css：行内样式",
      level: 2,
      time: "5:55",
      get: false,
    },
    {
      title: "使用 css：行内样式2",
      level: 2,
      time: "6:55",
      get: false,
    },
  ]);

  const [video, setVideo] = useState<IVideo | null>(null);

  const onclickItem = (i: any) => {
    setVideo(i.video);
  };

  return (
    <div className="course-detail container">
      <ResizeBox.Split
        direction="horizontal"
        style={{ height: "100vh" }}
        // max={0.8}
        // min={0.2}
        size={0.6}
        panes={[
          <article>
            <Result
              status="403"
              subTitle="挖宝藏，请加入矿工"
              extra={<Button type="text">上舰</Button>}
            ></Result>
            {/* <div className="player-container">
              <Player video={video} />
            </div> */}
          </article>,
          <aside className="bs-scrollbar">
            <h2>基础架构：一条SQL查询语句是如何执行的？</h2>
            <div>
              <Space style={{ color: "var(--color-text-3)" }}>
                <span>2023年3月2日</span>
              </Space>
            </div>
            <div className="toc">
              {toc.map((i) => {
                if (i.level === 1) {
                  return (
                    <div className="level-1" key={i.title}>
                      {i.title}
                    </div>
                  );
                } else if (i.level === 2) {
                  return (
                    <div
                      className="level-2"
                      key={i.title}
                      onClick={() => onclickItem(i)}
                    >
                      <span className="bs-ellipsis">{i.title}</span>
                      <span className="time">{i.time}</span>
                    </div>
                  );
                }
              })}
            </div>
          </aside>,
        ]}
      />
    </div>
  );
}

export default CourseDetail;
